Files
Download File Version
Downloads the file with the provided version number.
Version Note: Version 0 is always when the file was created. The real data is usually always located in version 1 and up.
Extension Note: Files are not guaranteed to have a file extensions. UnityPackage files tends to have it, images through this endpoint do not. You are responsible for appending file extension from the extension field when neccesary.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Path Parameters
fileId*string
Must be a valid file ID.
versionId*integer
Version ID of the asset.
Range
1 <= valueResponse Body
image/*
application/json
curl -X GET "https://api.vrchat.cloud/api/1/file/file_00000000-0000-0000-0000-000000000000/1""string"{
"error": {
"message": "File 'file_ce35d830-e20a-4df0-a6d4-5aaef4508044' not found",
"status_code": 404
}
}